#ifndef BSTATUSITEM_H
#define BSTATUSITEM_H

#include <QDialog>

namespace Ui {
class BStatusItem;
}

class BStatusItem : public QDialog
{
    Q_OBJECT

public:
    explicit BStatusItem(QWidget *parent = 0);
    ~BStatusItem();

    void InitData(QString);

private slots:
    void on_btsItemBtn_clicked();

private:
    Ui::BStatusItem *ui;

    QString m_channelName;
    QString m_channelCode;
    int m_channelStatus;

signals:
    void setStoreOperatingStatus(const QString&, int);

public slots:
    void onSetStoreOperatingStatusFinsh(QString);
};

#endif // BSTATUSITEM_H
